<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XCallStateMember StructType
 * @subpackage Structs
 */
class XCallStateMember extends AbstractStructBase
{
    /**
     * The callStateName
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $callStateName;
    /**
     * The softKeys
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\SoftKeys
     */
    public $softKeys;
    /**
     * Constructor method for XCallStateMember
     * @uses XCallStateMember::setCallStateName()
     * @uses XCallStateMember::setSoftKeys()
     * @param string $callStateName
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\SoftKeys $softKeys
     */
    public function __construct($callStateName = null, \\Losc\CucmBundle\Model\Webservice\StructType\SoftKeys $softKeys = null)
    {
        $this
            ->setCallStateName($callStateName)
            ->setSoftKeys($softKeys);
    }
    /**
     * Get callStateName value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCallStateName()
    {
        return isset($this->callStateName) ? $this->callStateName : null;
    }
    /**
     * Set callStateName value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $callStateName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XCallStateMember
     */
    public function setCallStateName($callStateName = null)
    {
        if (is_null($callStateName) || (is_array($callStateName) && empty($callStateName))) {
            unset($this->callStateName);
        } else {
            $this->callStateName = $callStateName;
        }
        return $this;
    }
    /**
     * Get softKeys value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\SoftKeys|null
     */
    public function getSoftKeys()
    {
        return $this->softKeys;
    }
    /**
     * Set softKeys value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\SoftKeys $softKeys
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XCallStateMember
     */
    public function setSoftKeys(\\Losc\CucmBundle\Model\Webservice\StructType\SoftKeys $softKeys = null)
    {
        $this->softKeys = $softKeys;
        return $this;
    }
}
